Groovy Documentation

## org.codehaus.groovy.control.messages
[Java] Class SyntaxErrorMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.SyntaxErrorMessage

    public class SyntaxErrorMessage
    extends Message

A class for error messages produced by the parser system.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary
`protected SyntaxException` | `cause`
`protected SourceUnit` | `source`

Constructor Summary
`SyntaxErrorMessage(SyntaxException cause, SourceUnit source)`

Method Summary
`SyntaxException` | `getCause()` Returns the underlying SyntaxException.
`void` | `write(java.io.PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the syntax error.

Methods inherited from class Message
create, create, create, write, write

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### cause

    protected SyntaxException cause

### source

    protected SourceUnit source

Constructor Detail

### SyntaxErrorMessage

    public SyntaxErrorMessage(SyntaxException cause, SourceUnit source)

Method Detail

### getCause

    public SyntaxException getCause()

  Returns the underlying SyntaxException.

### write

    public void write(java.io.PrintWriter output, Janitor janitor)

  Writes out a nicely formatted summary of the syntax error.

Groovy Documentation